pro interp_erai_msl_1989_2009_v1
@common

filein='/Volumes/PRAVEEN/ERAI_global/20c3m_erai_msl_TROP_1989_2009.nc'
fileout='/Volumes/PRAVEEN/flux_reconstruction/basic_data/erai_d2m_19890101_20091231_oafluxgrid.nc'
gridout='/Volumes/PRAVEEN/work/flux_reconstruction/gridded_data/mask_oaflux_30N30S.nc'

initncdf, filein
domdef
latin=reform(gphit(0,*)) & lonin=reform(glamt(*,0))
print, 'lat grid ',min(latin),max(latin),latin(1)-latin(0)
print, 'lon grid ',min(lonin),max(lonin),lonin(1)-lonin(0)
mslin=read_ncdf("msl",19880101,20100930,file=filein,/nostr)

timein=time & jptin=jpt
tab=mslin(*,*,0)
mskin=glamt*0.+1.

initncdf, gridout
domdef
latout=reform(gphit(0,*)) & lonout=reform(glamt(*,0))
print, 'lat grid ',min(latout),max(latout),latout(1)-latout(0)
print, 'lon grid ',min(lonout),max(lonout),lonout(1)-lonout(0)
mskout=read_ncdf("msk", file=gridout,/nostr)
mslin=mslin/100

help, mslin,lonin,latin,mskin,lonout,latout,mskout

si=size(mslin)
mslout=fltarr(jpi,jpj,jptin)
for jt=0,jptin-1 do begin
  print, 'Interpolation jt=',jt,' / ',jptin-1
  tab=reform(mslin(*,*,jt))
  mslout(*,*,jt)=call_interp2d(tab,lonin,latin,mskin,lonout,latout,method='bilinear')
  mslout(*,*,jt)=mslout(*,*,jt)*mskout+(1.-mskout)*1.e20
endfor

timein=timein & jptin=jpt

initncdf, gridout
;time=julday(1,2,1989)+lindgen(7516)
time=timegen(7670, units='days', start=julday(1,1,1989)) & jpt=n_elements(time)
cda0=string(jul2date(time(0)),format='(i8.8)')
cda1=string(jul2date(time(jpt-1)),format='(i8.8)')
timein=time-julday(1,1,1950,00,00)

lat=latout
lon=lonout
ncfile='!/Volumes/PRAVEEN/TropFlux/input_uncor/erai_msl_19890101_20091231_oafluxgrid.nc'
lon_attr={units:'degrees_east',long_name:'Longitude'}
lat_attr={units:'degrees_north',long_name:'Latitude'}
time_attr={units:'days since 1950-01-01 00:00:00',long_name:'Time axis',time_origin:' 1950-JAN-01 00:00:00'}
msl_attr={units:'milibars',missing_value:1e20,long_name:'Mean Sea leval pressure',short_name:'msl',axis:'TYX'}
globattr={source:'Data are from ECMWF ERA-Interim reanalysis', timerange:cda0+' - '+cda1}


ncfields = 'msl[longitude,latitude,time]=mslout:msl_attr; ' $
                      + 'longitude[]=lon:lon_attr; ' $
                      + 'latitude[]=lat:lat_attr; ' $
		      + 'time[*time]=timein:time_attr ' $
                      + ' @ globattr'

@ncdf_quickwrite


end
